> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get monthly volume and liquidity for pools

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /pools/monthly
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /pools/monthly:
    get:
      tags:
        - Pools
      summary: Get monthly volume and liquidity for pools
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoolVL'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    PoolVL:
      type: object
      properties:
        poolId:
          type: integer
          example: 502
          description: Pool id
        timestampSeconds:
          type: integer
          example: 1697760000
          description: Timestamp in unix seconds
        liquidity:
          type: string
          example: '1268297620467'
          description: Pool liquidity in its smallest unit
        volume:
          type: string
          example: '178297285042'
          description: Pool volume in its smallest unit
      required:
        - poolId
        - timestampSeconds
        - liquidity
        - volume

````